Skip to main content
POST
/
v3
/
network-mapper
Network Mapper (Partner) β€” v3
curl --request POST \
  --url https://bee.theswarm.com/v3/network-mapper \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "query": {},
  "mapping_company_website": "<string>",
  "callback_url": "<string>"
}
'
{
  "items": [
    {
      "profile": {
        "full_name": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "current_title": "<string>",
        "linkedin_url": "<string>",
        "work_email": "<string>",
        "current_company_name": "<string>",
        "current_company_website": "<string>"
      },
      "connections": [
        {
          "connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "connector_name": "<string>",
          "connector_linkedin_url": "<string>",
          "connector_current_title": "<string>",
          "connector_current_company_name": "<string>",
          "connection_strength_normalized": 123,
          "connection_strength": 123,
          "manual_strength": 123,
          "sources": [
            {
              "shared_company": "<string>",
              "shared_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "shared_company_website": "<string>",
              "shared_company_linkedin_slug": "<string>",
              "overlap_start_date": "<string>",
              "overlap_end_date": "<string>",
              "overlap_duration_months": 123,
              "shared_school": "<string>",
              "shared_major": "<string>",
              "graduation_year": "<string>",
              "investor": "<string>",
              "portfolio_company": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "count": 123,
  "total_count": 123
}
Partner permission required. Calls from an API key not tied to a team with the partner permission in Stripe return 403 Forbidden.
The Network Mapper (Partner) endpoint maps connections across the partner network. It is only available to teams with partner permissions. For team-owned connections, use the free Relationships endpoint instead.

Pricing

ResponseCost
Non-empty response1 credit per response
Empty responseFree
Usage is reported under GET /credits/usage.

Permissions

CallerBehavior
API key tied to a team with partner permission in StripeEndpoint available
Any other API keyReturns 403 Forbidden
If you believe your team should have partner access, contact support@theswarm.com.

Responses

In addition to the standard error responses, this endpoint may return:
  • 402 Payment Required β€” your team’s API credit allowance has been exceeded. Top up or upgrade your plan to continue. See Credits & Usage.

Response schema

See Models > Network Mapper Partner.

Task status

Long-running queries can be polled with the Network Mapper Status endpoint.

Authorizations

x-api-key
string
header
required

Body

application/json
query
object
required

Search query in the ElasticSearch Query DSL format. Find mapping here

mapping_company_website
string
required

Website of the company to map network for

callback_url
string

URL to call when async mapping completes

Response

Mapping data returned immediately

items
object[]
required
count
integer
required
total_count
integer
required